DealerAI
API Reference

Get Manufacturers

Retrieves a paginated list of all vehicle manufacturers in the system.

GET
/api/v1/manufacturer
AuthorizationBasic <token>

Basic Authorization header

In: header

Query Parameters

Skip?integer

Gets or sets the number of rows to skip.

Formatint32
Range0 <= value <= 2147483647
Take?integer

Gets or sets the number of rows to take.

Formatint32
Range1 <= value <= 500

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.dealerai.com/api/v1/manufacturer"
{
  "total_row_count": 0,
  "row_count": 0,
  "rows": [
    {
      "id": "string",
      "name": "string"
    }
  ]
}
{
  "message": "string",
  "details": null
}
{
  "message": "string",
  "details": null
}
{
  "message": "string",
  "details": null
}